petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscHMapTFind

Query for key in the hash table

### Synopsis

    #include <petsc/private/hashmap.h>
    PetscErrorCode PetscHMapTFind(PetscHMapT ht,KeyType key,PetscHashIter *iter,PetscBool *found)

### Input Parameters

| ht | - The hash table
| key | - The key

### Output Parameter

| iter | - Iterator referencing the value for key
| found | - Boolean indicating whether the key was present

### Keywords

hash table, map, iterator, find

### See Also

PetscHMapTIterGet(), PetscHMapTIterDel()

### Level

developer

### Location

include/petsc/private/hashmap.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages